SDL_HapticEffectSupported(3)

NAME
SDL_HapticEffectSupported - Check to see if an effect is supported by a haptic device.

SYNOPSIS
#include <SDL3/SDL_haptic.h>

bool SDL_HapticEffectSupported(SDL_Haptic *haptic, const SDL_HapticEffect *effect);

FUNCTION PARAMETERS

haptic
    the SDL_Haptic device to query.

effect
    the desired effect to query.

RETURN VALUE
Returns true if the effect is supported or false if it isn't.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateHapticEffect(3), SDL_GetHapticFeatures(3)